> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/inputs/artifact-filters.md).

# artifactFilters

### Examples

```graphql
input ArtifactFilters {
  apps: [String]
  artifactType: [String]
  artifactName: [String]
  artifactFullName: [String]
  version: [String]
  sourceType: [String]
  sourceTools: [String]
  registryType: [String]
  registryName: [String]
  cloud: [String]
  cluster: [String]
  cloudAccountId: [String]
  namespace: [String]
  cloudDeployments: [String]
  categories: [String]
  issueSeverities: [String]
  reachability: [String]
  artifactIntegrity: [String]
  artifactSha: [String]
  imageSource: [String]
  baseImage: [String]
  runtimeImageTag: [String]
  instanceId: [String]
  customAttribute: [String]
  k8sLabel: [String]
}
```

### Fields

| Field                        | Description                                                                           | Supported fields |
| ---------------------------- | ------------------------------------------------------------------------------------- | ---------------- |
| apps `[String]`              | Filter by one or more application IDs or names                                        |                  |
| artifactType `[String]`      | Filter by artifact types                                                              |                  |
| artifactName `[String]`      | Filter by artifact names                                                              |                  |
| artifactFullName `[String]`  | Filter by full artifact names including version or namespace                          |                  |
| version `[String]`           | Filter by artifact version strings                                                    |                  |
| sourceType `[String]`        | Filter by source types                                                                |                  |
| sourceTools `[String]`       | Filter by source tools                                                                |                  |
| registryType `[String]`      | Filter by types of artifact registries                                                |                  |
| registryName `[String]`      | Filter by registry names                                                              |                  |
| cloud `[String]`             | Filter by cloud provider or environment names                                         |                  |
| cluster `[String]`           | Filter by cluster names in cloud environments                                         |                  |
| cloudAccountId `[String]`    | Filter by cloud account identifier.                                                   |                  |
| namespace `[String]`         | Filter by namespace within a cluster or cloud environment                             |                  |
| cloudDeployments `[String]`  | Filter by cloud deployment identifiers or names                                       |                  |
| categories `[String]`        | Filter by artifact categories or tags                                                 |                  |
| issueSeverities `[String]`   | Filter by issue severities related to the artifact                                    |                  |
| reachability `[String]`      | Filter by artifact reachability status                                                |                  |
| artifactIntegrity `[String]` | Filter by artifact integrity status or checksums                                      |                  |
| artifactSha `[String]`       | Filter by SHA identifiers of the artifact                                             |                  |
| imageSource `[String]`       |                                                                                       |                  |
| baseImage `[String]`         | Filter by artifact base image                                                         |                  |
| runtimeImageTag `[String]`   | Filter by runtime image tag observed for the deployed artifact                        |                  |
| instanceId `[String]`        | Filter by EC2 (or other VM) instance identifier for images running outside Kubernetes |                  |
| customAttribute `[String]`   | Filter by customer-defined attribute keys attached to the deployed artifact           |                  |
| k8sLabel `[String]`          | Filter by Kubernetes labels observed on the deployed artifact's workload              |                  |

### References

#### Fields with this object:

* [{} GetArtifactsInput.filters](/api-documentation/api-reference/api--artifact/types/inputs/get-artifacts-input.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/inputs/artifact-filters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
